A5 jailbreak helyzetjelentés, Corona iBooks fix

Ez a cikk legalább 1 éve frissült utoljára. A benne szereplő információk a megjelenés idején pontosak voltak, de mára elavultak lehetnek.

Pod2g a következőket írta a blogján még 12-én az A5 jailbreak kapcsán:

@planetbeing escaped from the sandbox with the help of @saurik. Thanks to their awesome work, there should be nothing left blocking for the A5 jailbreak.

Now it should be a matter of days. Still no precise ETA of course.

We all want this to be finished ASAP, we’re getting tired!

Tehát @planetbeing-nek @saurik segítségével sikerült megoldani a sandboxing adta korlátokat. A sandboxing leegyszerűsítve arra való, hogy egy adott alkalmazás csak a saját működéséhez szükséges erőforrásokhoz férhessen hozzá, de mondjuk két alkalmazás ne láthassa egymás adatait. Ez volt az utolsó nagyobb akadály az A5-ös jailbreak kapcsán. Így várhatóan már csak napok kérdése, hogy kiadható legyen a jailbreak, ugyanakkor továbbra sem tett közzé pontos dátumot.

A másik fontos dolog, hogy akik a Corona csomag segítségével tették untethered-dé a készülékükön a jailbreaket, az iBooks alkalmazással kapcsolatban tapasztalhattak hibákat, amelyek szintén a sandboxing kapcsán jelentkeztek. Így ez a csomag is frissült, és Cydiából már telepíthető is kell legyen a frissítés.

Közben már az 5.1-es verzió jailbreakje kapcsán is vannak hírek. Ebből a legfrissebb az, hogy a beta 3-mas változatba az Apple már bezárta azt a két hibát, ami a Corona csomag számára lehetővé teszi az untethered-re való patchelést:

unimp0rtanttech
latest iOS 5.1 beta already patched the bugs corona uses
2012.01.13. 15:45

Persze ez nem jelenti azt, hogy ne lenne másik exploit majd az 5.1-re, de ameddig nem jelenik meg a hivatalos verzió, addig nem is lehet tudni, hogy az esetleg esélyes “versenyzőket” szintén nem javítják-e ki.

Addig egy valamit lehet tenni: aki jailbreakelni akar, és még nem frissítette a készülékét 5.0.1-re, az tegye meg mihamarabb, máskülönben már az 5.1-et fogja tudni majd csak feltenni, aminek esetén egyelőre ugye kérdéses még minden.

Ezek még érdekelhetnek:


  1. Iphone 4S, 5.0, T-Mobile
    iTunes-ban rányomtam a frissítésre, le is töltötte a 9A405-öst, (miért ezt, azt nem tudom), viszont amikor telepíteni akarta a telóra, ezt a hibát írta ki: “Az iPhone nem frissíthető, mert a firmware-fájl nem kompatibilis.”
    Most megpróbálom külön letölteni a 9A406-ost, és kézzel betallózni, hátha úgy megy, de érdekes, hogy nem jó (?) fájlt tölt le automatikusan :\

  2. @Morrrgh: 9A406 továbbra is kizárólag csak iPhone 4S-re van, semmi másra nincs.

    @hunwolf: rossznak nem rossz, csak kamu oldalra mutat, ami semmi másról nem szól, minthogy felhasználja az ultrasn0w nevet, hogy azzal kattintásokat vonzzon, és így reklámbevételre tesz szert, de egyébkét az égadta világon semmi köze nincs egyik fejlesztői csapathoz sem. pláne a bizonyítékként feltüntetett dologról akkor miért nem írt twitteren senki? mert valótlan, és csak klikkvonzó kacsa.

  3. Háát… Én nem a coronával jailbreakeltem, hanem a redsnow-val, de így sem működik az iBooks..
    Kérdés: ha felrakom a coronát, az megjavítja?
    /i4 – iOS 5.0.1 + JB/

  4. Hy

    Az utóbbi napokban egyre gyakrabban fordul elő hogy se iPhone-on se pedig az iPad-en nem mindig tudom fríssíteni a cydia adatbázist, lehet bármi köze a fent írt cikkhez?

  5. Most tethered jb van a telefonon, es multkori posztnal letoltottem a legujabb redsnowot install cydia nelkul jailbreakeltem es meg mindig tethered.
    Mit csinaljak? Vagy ezt a coronat honnan szedjem le?

  6. @levcsi21: idézem a cikkből, hiszen le van benne írva: “Így várhatóan már csak napok kérdése, hogy kiadható legyen a jailbreak, ugyanakkor továbbra sem tett közzé pontos dátumot.”

    akkor most értelmezzük:
    napok kérdése, hogy kiadható legyen a jailbreak – tehát még nem jelent meg
    továbbra sem tett közzé pontos dátumot – tehát nem is tudni pontosan, mikor fog megjelenni

    @92Engine: https://szifon.com/2011/12/27/megjelent-az-5-0-1-hez-az-untethered-jailbreak/

  7. páran kérdezték, hogy a redsn0w-val jailbreakelt iphone-ra is rá lehet-e engedni a coronat? nos, én megtettem. anno 0.9.10b3 verzióval jb-tem, az iBooks pedig már fent volt. cydiaból leszedtem a coronat, majd elindítottam az iBooks-t, és.. semmi. ugyan az a konfigurációs hibaüzenet. most kipróbálom a KommyKT által leírt legújabb verziót, aztán ha nem megy, hagyom az egészet a.. 🙂

  8. Segítséget kérnék!
    Nem lattam meg ilyet.
    Iphone 3G MB-series.
    Bluetooth adr 00.00.00.00.00, nincs se wifi száma, se imei száma és egyfolytában keresés van, modem verzió se látható. Minden lehetséges verziót vegigprobaltam. ( cydia, iPad BB).
    Ötlet?
    Üdv

  9. @szebi: mit értesz a minden lehetséges verzió alatt? újraflashelted rajta az iPad basebandet? ha igen, akkor az iBrick, elhullott a baseband. próbáld meg újból feltenni rá az iPad basebandet, hátha megoldja. a bootloadere esetleg 5.08? vagy hozd be a szervizünkbe, meg tudjuk nézni.

  10. @szebi: bal oldali menüben megtalálod, vagy írj nekünk egy mailt. a bootloaderben a fuzzyband tud segíteni, cydiából vagy manuálisan telepíthető. vagy elvileg ha rádugod gépre, a tinyumbrella is megmondja, bár valószínűleg invalid-ot fog írni a baseband mellett. ha ismét feltetted rá az iPad basebandet, és nem oldotta meg, akkor elképzelhető, hogy annak annyi, de látatlanban nem találgatnék.

  11. sziasztok!
    van nekem egy i4-em, 4.2.1-ről szerettem volna két lépésben upgradelni, először 4.3.5-ig, hogy a baseband a legutolsó legyen, amivel még működik a gevey, aztán pedig 5.0.1-re, amin használva lett volna. shsh van 4.3.5-höz, 4.3.3hoz, meg még egy pár 4.x-hez
    viszont az első lépésnél megmakkant, és azóta 4.x-re error 1-et dobál, ha custom firmware-t rakok fel és hacktiválom, akkor pedig a BT 00:00:00:00:00:00 wifi nincs és modem sincs, tehát valószínűleg a BB ment el. 5.0.1-re nem szeretném restore-olni gyári firmware-rel, mert akkor ugrik a gevey.
    szerintetek mit lehetne tenni?

  12. @gazsiazasz: első körben például ne hacktiváld, bár az a basebandet úgysem oldja meg. iPhone 4 basebandje elvben még SHSH-val sem frissíthető, csak akkor, ha az umbrellában külön bepipáltad azt az opciót.

    mindenesetre ha úgy sem oldja meg, és nem írja újra a basebandet, akkor nincs más, mint feltenni a gyári 5.0.1-et, és reménykedni, hogy az megoldja.

    @szebi: hogy jön ide a sima 4? 4S-ről volt a kérdés, a válaszom is, amire most te válaszoltál, pláne, hogy sima 4 esetén nincs második kiadású 5.0.1, mert az csak 4S-re van.

    de még sima 4 esetén is szokott segíteni a restore és set up as new iPhone.

Írd le a véleményedet! (Moderációs elveinket ide kattintva olvashatod.)

Hozzászólás írásához be kell jelentkezned!